// ------------------------------------------------------------------
//	File: gterr.h
//
//
// ==================================================================
// IF YOU DO NOT AGREE WITH THE FOLLOWING STATEMENT, YOU MUST 
// PROMPTLY RETURN THE SOFTWARE AND ANY ACCOMPANYING DOCUMENTATION 
// ("PRODUCT") TO PCBest Networks(www.pcbest.net).
//
// PCBest Networks owns all title and 
// ownership rights to Software.  "Software" means any data processing
// programs (hereinafter "programs") consisting of a series of 
// instructions or statements in object code form, including any 
// systemized collection of data in the form of a data base, and any
// related proprietary materials such as flow charts, logic diagrams, 
// manuals media and listings provided for use with the programs.
// User has no right, express or implied, to transfer, sell, provide
// access to or dispose of Software to any third party without PCBest Networks'
// prior written consent.  User will not copy, reverse assemble,
// reverse engineer, decompile, modify, alter, translate or display
// the Software other than as expressly permitted by PCBest Networks in writing.
// ------------------------------------------------------------------


#if !defined(__GTAPI_ERROR_TYPES_DEFINITION_H)
#define __GTAPI_ERROR_TYPES_DEFINITION_H

#define GT_ERR_SERVER_FUNC_NOT_AVAILABLE		100000

#define GT_ERR_CHANNEL_INVALID					100001
#define GT_ERR_INVALID_ARG						100002
#define GT_ERR_INVALID_FILE_NAME				100003

#define GT_ERR_CHANNEL_NOT_IN_IDLE				100011
#define GT_ERR_CHANNEL_NOT_IN_CONNECTED			100012
#define GT_ERR_CHANNEL_NOT_IN_OFFERED			100013

#define GT_ERR_CHANNEL_AUDIO_RES_BUSY			100018

#define GT_ERR_SETUP_CALL_FAILED				100021
#define GT_ERR_ANSWER_CALL_FAILED				100022
#define GT_ERR_HOLD_CALL_FAILED					100023
#define GT_ERR_TRANSFER_CALL_FAILED				100024
#define GT_ERR_ACCEPT_CALL_FAILED				100025
#define GT_ERR_RING_CALL_FAILED					100026
#define GT_ERR_SESSIONPROGRESS_CALL_FAILED		100027
#define GT_ERR_WAIT_FOR_CALL_FAILED				100028

#define GT_ERR_PLAY_DTMF_STR_FAILED				100031
#define GT_ERR_START_DTMF_DETECTION_FAILED		100032
#define GT_ERR_STOP_DTMF_DETECTION_FAILED		100033
#define GT_ERR_START_DX_AUDIO_FAILED			100034
#define GT_ERR_STOP_DX_AUDIO_FAILED				100035

#define GT_ERR_AUDIO_FILENAME_IS_NULL			100036
#define GT_ERR_PLAY_AUDIO_FAILED				100037
#define GT_ERR_RECORD_AUDIO_FAILED				100038

#define GT_ERR_TX_FAX_FAILED					100039
#define GT_ERR_RX_FAX_FAILED					100040

#define GT_ERR_RESET_DX_AUDIO_FAILED			100041

#define GT_ERR_START_MUSIC_ON_HOLD				100042
#define GT_ERR_STOP_MUSIC_ON_HOLD				100043

#endif